> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/switch-subscription-plan-input.md).

# SwitchSubscriptionPlanInput

### Fields

#### clientMutationId ([String](/graphql-api/api-reference/objects/string.md))

A unique identifier for the client performing the mutation.

#### subscriptionId ([ID](/graphql-api/api-reference/objects/id.md)!)

The subscription the new plan should be assigned to.

#### planId ([ID](/graphql-api/api-reference/objects/id.md)!)

The new plan the subscription should be switched to.

#### successUrl ([String](/graphql-api/api-reference/objects/string.md))

An optional URL to redirect the customer to after successful payment. If not specified, default Firmhouse page will be used.

#### failureUrl ([String](/graphql-api/api-reference/objects/string.md))

An optional URL to redirect the customer to if the offer is accessed after its expiration time. If not specified, default Firmhouse page will be used.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/switch-subscription-plan-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
